clang-tools 3.8.0

- Main Page
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Classes | Typedefs | Enumerations
clang::query Namespace Reference

## Classes
struct | Query
struct | InvalidQuery
| Any query which resulted in a parse error. The error message is in ErrStr. More...
struct | NoOpQuery
| No-op query (i.e. a blank line). More...
struct | HelpQuery
| Query for "help". More...
struct | QuitQuery
| Query for "quit". More...
struct | MatchQuery
| Query for "match MATCHER". More...
struct | LetQuery
struct | SetQueryKind
struct | SetQueryKind< bool >
struct | SetQueryKind< OutputKind >
struct | SetQuery
| Query for "set VAR VALUE". More...
class | QueryParser
class | QuerySession
| Represents the state for a particular clang-query session. More...

## Typedefs
typedef llvm::IntrusiveRefCntPtr < Query > | QueryRef

## Enumerations
enum | OutputKind { OK_Diag, OK_Print, OK_Dump }
enum | QueryKind { QK_Invalid, QK_NoOp, QK_Help, QK_Let, QK_Match, QK_SetBool, QK_SetOutputKind, QK_Quit }

## Typedef Documentation

typedef llvm::IntrusiveRefCntPtr<Query> clang::query::QueryRef

Definition at line 52 of file Query.h.

## Enumeration Type Documentation

enum clang::query::OutputKind

Enumerator
OK_Diag |
OK_Print |
OK_Dump |

Definition at line 21 of file Query.h.

enum clang::query::QueryKind

Enumerator
QK_Invalid |
QK_NoOp |
QK_Help |
QK_Let |
QK_Match |
QK_SetBool |
QK_SetOutputKind |
QK_Quit |

Definition at line 27 of file Query.h.